package com.yonge.cooleshow.biz.dal.enums;

import com.yonge.toolset.base.enums.BaseEnum;

public enum HeardLevelEnum implements BaseEnum<String, HeardLevelEnum> {
    BEGINNER("入门级", 0.1f, 0.7f, 1.5f),
    ADVANCED("进阶级", 1, 0.9f, 1.3f),
    PERFORMER("大师级", 3, 0.93f, 1.1f);

    private String code;

    private String msg;

    /**
     * 音准音分偏差数
     */
    private float intonationCentsRange;

    /**
     * 节奏评分截取时间占比
     */
    private float cadenceRange;

    /**
     * 完整性
     */
    private float integrityRange;

    HeardLevelEnum(String msg, float intonationCentsRange, float cadenceRange, float integrityRange) {
        this.code = this.name();
        this.msg = msg;
        this.intonationCentsRange = intonationCentsRange;
        this.cadenceRange = cadenceRange;
        this.integrityRange = integrityRange;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public float getIntonationCentsRange() {
        return this.intonationCentsRange;
    }

    public float getCadenceRange() {
        return this.cadenceRange;
    }

    public float getIntegrityRange() {
        return this.integrityRange;
    }

}
